%define gcj_support	1
%define short_name      logkit
%define short_Name      LogKit
%define name		avalon-%{short_name}
%define version		1.2
%define release		3.2
%define	section		free
#%define use_nonfree	%{?_with_nonfree:1}%{!?_without_nonfree:0}
%define use_nonfree	0

Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Epoch:		0
Summary:	Java logging toolkit
License:	Apache License
Group:		Development/Java
#Distribution:	JPackage
#Vendor:		JPackage Project
Url:		http://avalon.apache.org/%{short_name}/
Source0:	http://jakarta.apache.org/builds/jakarta-avalon/release/logkit/latest/LogKit-1.2-src.tar.bz2
Patch0:		%{name}-build.patch.bz2
Patch1:         %{name}-doclet.patch.bz2
Requires:	avalon-framework >= 0:4.1.4
Requires:	servlet
%if %{use_nonfree}
Requires:	jms
%endif
Requires:	jdbc-stdext
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:	ant
BuildRequires:  avalon-framework-javadoc
BuildRequires:  javamail
BuildRequires:  java-javadoc
BuildRequires:  junit
BuildRequires:  log4j
BuildRequires:	avalon-framework >= 0:4.1.4
BuildRequires:	servlet
%if %{use_nonfree}
BuildRequires:	jms
%endif
BuildRequires:	jdbc-stdext
%if %{gcj_support}
BuildRequires:	java-gcj-compat-devel
Requires(post):	java-gcj-compat
Requires(postun): java-gcj-compat
%else
BuildArch:	noarch
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
LogKit is a logging toolkit designed for secure performance orientated
logging in applications. To get started using LogKit, it is recomended
that you read the whitepaper and browse the API docs.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{short_Name}-%{version}
%patch0 -p0
%patch1 -p1
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
%{__perl} -pi -e 's/1\.2/1\.4/g' build.xml

%build
%if %{use_nonfree}
export CLASSPATH=$(build-classpath log4j javamail/mailapi jms servlet jdbc-stdext avalon-framework junit):$PWD/build/classes
%else
export CLASSPATH=$(build-classpath log4j javamail/mailapi servlet jdbc-stdext avalon-framework junit):$PWD/build/classes
%endif
%ant -Djava.javadoc=%{_javadocdir}/java \
     -Davalon.javadoc=%{_javadocdir}/avalon-framework \
     clean jar javadocs

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/lib/%{short_name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc KEYS LICENSE
%{_javadir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*.jar.*
%endif

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Fri Jun 02 2006 David Walluck <walluck@mandriva.org> 0:1.2-3.2mdv2007.0
- fix build
- own %%{_libdir}/gcj/%%{name}
- rebuild for libgcj.so.7

* Tue Dec 02 2005 David Walluck <walluck@mandriva.org> 0:1.2-3.1mdk
- sync with 3jpp
- aot-compile

* Thu May 12 2005 David Walluck <walluck@mandriva.org> 0:1.2-2.1mdk
- release

* Tue Jan 11 2005 Gary Benson <gbenson@redhat.com> 0:1.2-2jpp_4fc
- Reenable building of classes that require javax.swing (#130006).

* Thu Nov  4 2004 Gary Benson <gbenson@redhat.com> 0:1.2-2jpp_3fc
- Build into Fedora.

* Thu Oct 28 2004 Gary Benson <gbenson@redhat.com> 0:1.2-2jpp_2fc
- Bootstrap into Fedora.

* Fri Mar  5 2004 Frank Ch. Eigler <fche@redhat.com> 0:1.2-2jpp_1rh
- RH vacuuming

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:1.2-2jpp
- update for JPackage 1.5

* Fri Mar 21 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.2-1jpp
- For jpackage-utils 1.5

* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-4jpp 
- hardcoded distribution and vendor tag
- group tag again

* Thu May 2 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-3jpp 
- distribution tag
- group tag

* Mon Mar 18 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-2jpp 
- generic servlet support

* Sun Feb 03 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.1-1jpp 
- 1.0.1
- versioned dir for javadoc
- no dependencies for and javadoc package
- adaptation for new servlet3 package
- drop j2ee package
- regenerated the patch
- section package

* Wed Dec 5 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-4jpp
- javadoc into javadoc package
- Requires and BuildRequires servletapi3 >= 3.2.3-2
- regenerated the patch

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.0-3jpp
- changed extension --> jpp

* Tue Nov 20 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-2jpp
- non-free extension classes back in original archive
- removed packager tag

* Sun Oct 28 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-1jpp
- 1.0

* Tue Oct 9 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b5.2jpp
- non-free extension as additional package

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b5.1jpp
- 1.0b5
- first unified release
- used original tarball

* Mon Sep 10 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0-0.b4.1mdk
- first Mandrake release
